/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 平台组件库
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-08-29 10:24:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "平台组件库")
public class CpComponentLibrary extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_libraryName = "libraryName";
  public static final String KEY_libraryAlias = "libraryAlias";
  public static final String KEY_fileName = "fileName";
  public static final String KEY_filePath = "filePath";
  public static final String KEY_libraryStatus = "libraryStatus";
  public static final String KEY_libraryIntro = "libraryIntro";
  public static final String KEY_changeLog = "changeLog";
  public static final String KEY_libraryVersion = "libraryVersion";
  public static final String KEY_libraryType = "libraryType";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 库名<br>
   */
  @ApiModelProperty("库名")
  @Size(max = 100, message="库名-libraryName: 数据长度不能 > 100" )
  private String libraryName;
  /**
   * 库别名<br>
   */
  @ApiModelProperty("库别名")
  @Size(max = 100, message="库别名-libraryAlias: 数据长度不能 > 100" )
  private String libraryAlias;
  /**
   * 库文件名<br>
   */
  @ApiModelProperty("库文件名")
  @Size(max = 100, message="库文件名-fileName: 数据长度不能 > 100" )
  private String fileName;
  /**
   * 库文件地址<br>
   */
  @ApiModelProperty("库文件地址")
  @Size(max = 100, message="库文件地址-filePath: 数据长度不能 > 100" )
  private String filePath;
  /**
   * 使用状态0-可用1-禁用<br>
   */
  @ApiModelProperty("使用状态0-可用1-禁用")
  private Integer libraryStatus;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 5000, message="-libraryIntro: 数据长度不能 > 5000" )
  private String libraryIntro;
  /**
   * 版本更新日志<br>
   */
  @ApiModelProperty("版本更新日志")
  @Size(max = 2000, message="版本更新日志-changeLog: 数据长度不能 > 2000" )
  private String changeLog;
  /**
   * 组件库版本号<br>
   */
  @ApiModelProperty("组件库版本号")
  @Size(max = 10, message="组件库版本号-libraryVersion: 数据长度不能 > 10" )
  private String libraryVersion;
  /**
   * 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
   */
  @ApiModelProperty("组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，")
  private Integer libraryType;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 库名<br>
   */
  public String getLibraryName()
  {
      return libraryName;
    }

  /**
   * 库名<br>
   *
   * @param libraryName 库名
   */
  public void setLibraryName(String libraryName)
  {
      this.libraryName = libraryName;
    }
  /**
   * 库别名<br>
   */
  public String getLibraryAlias()
  {
      return libraryAlias;
    }

  /**
   * 库别名<br>
   *
   * @param libraryAlias 库别名
   */
  public void setLibraryAlias(String libraryAlias)
  {
      this.libraryAlias = libraryAlias;
    }
  /**
   * 库文件名<br>
   */
  public String getFileName()
  {
      return fileName;
    }

  /**
   * 库文件名<br>
   *
   * @param fileName 库文件名
   */
  public void setFileName(String fileName)
  {
      this.fileName = fileName;
    }
  /**
   * 库文件地址<br>
   */
  public String getFilePath()
  {
      return filePath;
    }

  /**
   * 库文件地址<br>
   *
   * @param filePath 库文件地址
   */
  public void setFilePath(String filePath)
  {
      this.filePath = filePath;
    }
  /**
   * 使用状态0-可用1-禁用<br>
   */
  public Integer getLibraryStatus()
  {
      return libraryStatus;
    }

  /**
   * 使用状态0-可用1-禁用<br>
   *
   * @param libraryStatus 使用状态0-可用1-禁用
   */
  public void setLibraryStatus(Integer libraryStatus)
  {
      this.libraryStatus = libraryStatus;
    }
  /**
   * <br>
   */
  public String getLibraryIntro()
  {
      return libraryIntro;
    }

  /**
   * <br>
   *
   * @param libraryIntro 
   */
  public void setLibraryIntro(String libraryIntro)
  {
      this.libraryIntro = libraryIntro;
    }
  /**
   * 版本更新日志<br>
   */
  public String getChangeLog()
  {
      return changeLog;
    }

  /**
   * 版本更新日志<br>
   *
   * @param changeLog 版本更新日志
   */
  public void setChangeLog(String changeLog)
  {
      this.changeLog = changeLog;
    }
  /**
   * 组件库版本号<br>
   */
  public String getLibraryVersion()
  {
      return libraryVersion;
    }

  /**
   * 组件库版本号<br>
   *
   * @param libraryVersion 组件库版本号
   */
  public void setLibraryVersion(String libraryVersion)
  {
      this.libraryVersion = libraryVersion;
    }
  /**
   * 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
   */
  public Integer getLibraryType()
  {
      return libraryType;
    }

  /**
   * 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
   *
   * @param libraryType 组件库类别0-公共，1-接口，2-pcbs，3-pccs，4-安卓，5-ios，
   */
  public void setLibraryType(Integer libraryType)
  {
      this.libraryType = libraryType;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpComponentLibrary()
  {
  }

}
